SpyBara
Go Premium

Reference 2026-07-12 06:58 UTC to 2026-07-13 15:59 UTC

14 files changed +195 −3. View all changes and history on the product overview
2026
Fri 31 21:03 Thu 30 23:58 Wed 29 15:02 Thu 23 18:00 Thu 16 20:57 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Thu 9 20:58
Details

20 20 

21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

22 22 

23- `--owner-project-access: optional "active" or "inactive" or "any"`

24 

25 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

26 

23### Returns27### Returns

24 28 

25- `ProjectApiKeyListResponse: object { data, has_more, object, 2 more }`29- `ProjectApiKeyListResponse: object { data, has_more, object, 2 more }`


100 104 

101 The user's project role.105 The user's project role.

102 106 

107 - `owner_project_access: "active" or "inactive"`

108 

109 Whether the API key's owner currently has effective access to the project.

110 

111 - `"active"`

112 

113 - `"inactive"`

114 

103 - `redacted_value: string`115 - `redacted_value: string`

104 116 

105 The redacted value of the API key117 The redacted value of the API key


147 "role": "role"159 "role": "role"

148 }160 }

149 },161 },

162 "owner_project_access": "active",

150 "redacted_value": "redacted_value"163 "redacted_value": "redacted_value"

151 }164 }

152 ],165 ],

Details

18 18 

19### Returns19### Returns

20 20 

21- `project_api_key: object { id, created_at, last_used_at, 4 more }`21- `project_api_key: object { id, created_at, last_used_at, 5 more }`

22 22 

23 Represents an individual API key in a project.23 Represents an individual API key in a project.

24 24 


96 96 

97 The user's project role.97 The user's project role.

98 98 

99 - `owner_project_access: "active" or "inactive"`

100 

101 Whether the API key's owner currently has effective access to the project.

102 

103 - `"active"`

104 

105 - `"inactive"`

106 

99 - `redacted_value: string`107 - `redacted_value: string`

100 108 

101 The redacted value of the API key109 The redacted value of the API key


134 "role": "role"142 "role": "role"

135 }143 }

136 },144 },

145 "owner_project_access": "active",

137 "redacted_value": "redacted_value"146 "redacted_value": "redacted_value"

138}147}

139```148```

Details

20 20 

21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

22 22 

23 - `OwnerProjectAccess param.Field[AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccess]`

24 

25 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

26 

27 - `const AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccessActive AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccess = "active"`

28 

29 - `const AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccessInactive AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccess = "inactive"`

30 

31 - `const AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccessAny AdminOrganizationProjectAPIKeyListParamsOwnerProjectAccess = "any"`

32 

23### Returns33### Returns

24 34 

25- `type ProjectAPIKey struct{…}`35- `type ProjectAPIKey struct{…}`


102 112 

103 The user's project role.113 The user's project role.

104 114 

115 - `OwnerProjectAccess ProjectAPIKeyOwnerProjectAccess`

116 

117 Whether the API key's owner currently has effective access to the project.

118 

119 - `const ProjectAPIKeyOwnerProjectAccessActive ProjectAPIKeyOwnerProjectAccess = "active"`

120 

121 - `const ProjectAPIKeyOwnerProjectAccessInactive ProjectAPIKeyOwnerProjectAccess = "inactive"`

122 

105 - `RedactedValue string`123 - `RedactedValue string`

106 124 

107 The redacted value of the API key125 The redacted value of the API key


164 "role": "role"182 "role": "role"

165 }183 }

166 },184 },

185 "owner_project_access": "active",

167 "redacted_value": "redacted_value"186 "redacted_value": "redacted_value"

168 }187 }

169 ],188 ],

Details

94 94 

95 The user's project role.95 The user's project role.

96 96 

97 - `OwnerProjectAccess ProjectAPIKeyOwnerProjectAccess`

98 

99 Whether the API key's owner currently has effective access to the project.

100 

101 - `const ProjectAPIKeyOwnerProjectAccessActive ProjectAPIKeyOwnerProjectAccess = "active"`

102 

103 - `const ProjectAPIKeyOwnerProjectAccessInactive ProjectAPIKeyOwnerProjectAccess = "inactive"`

104 

97 - `RedactedValue string`105 - `RedactedValue string`

98 106 

99 The redacted value of the API key107 The redacted value of the API key


152 "role": "role"160 "role": "role"

153 }161 }

154 },162 },

163 "owner_project_access": "active",

155 "redacted_value": "redacted_value"164 "redacted_value": "redacted_value"

156}165}

157```166```

Details

20 20 

21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

22 22 

23 - `Optional<OwnerProjectAccess> ownerProjectAccess`

24 

25 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

26 

27 - `ACTIVE("active")`

28 

29 - `INACTIVE("inactive")`

30 

31 - `ANY("any")`

32 

23### Returns33### Returns

24 34 

25- `class ProjectApiKey:`35- `class ProjectApiKey:`


102 112 

103 The user's project role.113 The user's project role.

104 114 

115 - `OwnerProjectAccess ownerProjectAccess`

116 

117 Whether the API key's owner currently has effective access to the project.

118 

119 - `ACTIVE("active")`

120 

121 - `INACTIVE("inactive")`

122 

105 - `String redactedValue`123 - `String redactedValue`

106 124 

107 The redacted value of the API key125 The redacted value of the API key


154 "role": "role"172 "role": "role"

155 }173 }

156 },174 },

175 "owner_project_access": "active",

157 "redacted_value": "redacted_value"176 "redacted_value": "redacted_value"

158 }177 }

159 ],178 ],

Details

96 96 

97 The user's project role.97 The user's project role.

98 98 

99 - `OwnerProjectAccess ownerProjectAccess`

100 

101 Whether the API key's owner currently has effective access to the project.

102 

103 - `ACTIVE("active")`

104 

105 - `INACTIVE("inactive")`

106 

99 - `String redactedValue`107 - `String redactedValue`

100 108 

101 The redacted value of the API key109 The redacted value of the API key


150 "role": "role"158 "role": "role"

151 }159 }

152 },160 },

161 "owner_project_access": "active",

153 "redacted_value": "redacted_value"162 "redacted_value": "redacted_value"

154}163}

155```164```

Details

18 18 

19 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.19 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

20 20 

21- `owner_project_access: Optional[Literal["active", "inactive", "any"]]`

22 

23 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

24 

25 - `"active"`

26 

27 - `"inactive"`

28 

29 - `"any"`

30 

21### Returns31### Returns

22 32 

23- `class ProjectAPIKey: …`33- `class ProjectAPIKey: …`


100 110 

101 The user's project role.111 The user's project role.

102 112 

113 - `owner_project_access: Literal["active", "inactive"]`

114 

115 Whether the API key's owner currently has effective access to the project.

116 

117 - `"active"`

118 

119 - `"inactive"`

120 

103 - `redacted_value: str`121 - `redacted_value: str`

104 122 

105 The redacted value of the API key123 The redacted value of the API key


147 "role": "role"165 "role": "role"

148 }166 }

149 },167 },

168 "owner_project_access": "active",

150 "redacted_value": "redacted_value"169 "redacted_value": "redacted_value"

151 }170 }

152 ],171 ],

Details

94 94 

95 The user's project role.95 The user's project role.

96 96 

97 - `owner_project_access: Literal["active", "inactive"]`

98 

99 Whether the API key's owner currently has effective access to the project.

100 

101 - `"active"`

102 

103 - `"inactive"`

104 

97 - `redacted_value: str`105 - `redacted_value: str`

98 106 

99 The redacted value of the API key107 The redacted value of the API key


139 "role": "role"147 "role": "role"

140 }148 }

141 },149 },

150 "owner_project_access": "active",

142 "redacted_value": "redacted_value"151 "redacted_value": "redacted_value"

143}152}

144```153```

Details

18 18 

19 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.19 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

20 20 

21- `owner_project_access: optional "active" or "inactive" or "any"`

22 

23 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

24 

25 - `"active"`

26 

27 - `"inactive"`

28 

29 - `"any"`

30 

21### Returns31### Returns

22 32 

23- `data: array of ProjectAPIKey`33- `data: array of ProjectAPIKey`


98 108 

99 The user's project role.109 The user's project role.

100 110 

111 - `owner_project_access: "active" or "inactive"`

112 

113 Whether the API key's owner currently has effective access to the project.

114 

115 - `"active"`

116 

117 - `"inactive"`

118 

101 - `redacted_value: string`119 - `redacted_value: string`

102 120 

103 The redacted value of the API key121 The redacted value of the API key


146 "role": "role"164 "role": "role"

147 }165 }

148 },166 },

167 "owner_project_access": "active",

149 "redacted_value": "redacted_value"168 "redacted_value": "redacted_value"

150 }169 }

151 ],170 ],


159### Example178### Example

160 179 

161```http180```http

162curl https://api.openai.com/v1/organization/projects/proj_abc/api_keys?after=key_abc&limit=20 \181curl https://api.openai.com/v1/organization/projects/proj_abc/api_keys?after=key_abc&limit=20&owner_project_access=any \

163 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \182 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

164 -H "Content-Type: application/json"183 -H "Content-Type: application/json"

165```184```


177 "created_at": 1711471533,196 "created_at": 1711471533,

178 "last_used_at": 1711471534,197 "last_used_at": 1711471534,

179 "id": "key_abc",198 "id": "key_abc",

199 "owner_project_access": "active",

180 "owner": {200 "owner": {

181 "type": "user",201 "type": "user",

182 "user": {202 "user": {

Details

12 12 

13### Returns13### Returns

14 14 

15- `ProjectAPIKey object { id, created_at, last_used_at, 4 more }`15- `ProjectAPIKey object { id, created_at, last_used_at, 5 more }`

16 16 

17 Represents an individual API key in a project.17 Represents an individual API key in a project.

18 18 


92 92 

93 The user's project role.93 The user's project role.

94 94 

95 - `owner_project_access: "active" or "inactive"`

96 

97 Whether the API key's owner currently has effective access to the project.

98 

99 - `"active"`

100 

101 - `"inactive"`

102 

95 - `redacted_value: string`103 - `redacted_value: string`

96 104 

97 The redacted value of the API key105 The redacted value of the API key


128 "role": "role"136 "role": "role"

129 }137 }

130 },138 },

139 "owner_project_access": "active",

131 "redacted_value": "redacted_value"140 "redacted_value": "redacted_value"

132}141}

133```142```


150 "created_at": 1711471533,159 "created_at": 1711471533,

151 "last_used_at": 1711471534,160 "last_used_at": 1711471534,

152 "id": "key_abc",161 "id": "key_abc",

162 "owner_project_access": "active",

153 "owner": {163 "owner": {

154 "type": "user",164 "type": "user",

155 "user": {165 "user": {

Details

18 18 

19 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.19 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

20 20 

21- `owner_project_access: :active | :inactive | :any`

22 

23 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

24 

25 - `:active`

26 

27 - `:inactive`

28 

29 - `:any`

30 

21### Returns31### Returns

22 32 

23- `class ProjectAPIKey`33- `class ProjectAPIKey`


100 110 

101 The user's project role.111 The user's project role.

102 112 

113 - `owner_project_access: :active | :inactive`

114 

115 Whether the API key's owner currently has effective access to the project.

116 

117 - `:active`

118 

119 - `:inactive`

120 

103 - `redacted_value: String`121 - `redacted_value: String`

104 122 

105 The redacted value of the API key123 The redacted value of the API key


143 "role": "role"161 "role": "role"

144 }162 }

145 },163 },

164 "owner_project_access": "active",

146 "redacted_value": "redacted_value"165 "redacted_value": "redacted_value"

147 }166 }

148 ],167 ],

Details

94 94 

95 The user's project role.95 The user's project role.

96 96 

97 - `owner_project_access: :active | :inactive`

98 

99 Whether the API key's owner currently has effective access to the project.

100 

101 - `:active`

102 

103 - `:inactive`

104 

97 - `redacted_value: String`105 - `redacted_value: String`

98 106 

99 The redacted value of the API key107 The redacted value of the API key


135 "role": "role"143 "role": "role"

136 }144 }

137 },145 },

146 "owner_project_access": "active",

138 "redacted_value": "redacted_value"147 "redacted_value": "redacted_value"

139}148}

140```149```

Details

20 20 

21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.21 A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

22 22 

23 - `owner_project_access?: "active" | "inactive" | "any"`

24 

25 Filter API keys by whether the owner currently has effective access to the project. Use `active` for owners with access, `inactive` for owners without access, or `any` for all enabled project API keys. If omitted, the endpoint applies its existing membership-based visibility rules, which may exclude some enabled keys.

26 

27 - `"active"`

28 

29 - `"inactive"`

30 

31 - `"any"`

32 

23### Returns33### Returns

24 34 

25- `ProjectAPIKey`35- `ProjectAPIKey`


102 112 

103 The user's project role.113 The user's project role.

104 114 

115 - `owner_project_access: "active" | "inactive"`

116 

117 Whether the API key's owner currently has effective access to the project.

118 

119 - `"active"`

120 

121 - `"inactive"`

122 

105 - `redacted_value: string`123 - `redacted_value: string`

106 124 

107 The redacted value of the API key125 The redacted value of the API key


148 "role": "role"166 "role": "role"

149 }167 }

150 },168 },

169 "owner_project_access": "active",

151 "redacted_value": "redacted_value"170 "redacted_value": "redacted_value"

152 }171 }

153 ],172 ],

Details

98 98 

99 The user's project role.99 The user's project role.

100 100 

101 - `owner_project_access: "active" | "inactive"`

102 

103 Whether the API key's owner currently has effective access to the project.

104 

105 - `"active"`

106 

107 - `"inactive"`

108 

101 - `redacted_value: string`109 - `redacted_value: string`

102 110 

103 The redacted value of the API key111 The redacted value of the API key


143 "role": "role"151 "role": "role"

144 }152 }

145 },153 },

154 "owner_project_access": "active",

146 "redacted_value": "redacted_value"155 "redacted_value": "redacted_value"

147}156}

148```157```